org.eclipse.jetty.security

## Class SpnegoUserPrincipal

- java.lang.Object
- - org.eclipse.jetty.security.SpnegoUserPrincipal

- All Implemented Interfaces:
    Principal

      public class SpnegoUserPrincipal
      extends Object
      implements Principal

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpnegoUserPrincipal(String name, byte[] token)`
    `SpnegoUserPrincipal(String name, String encodedToken)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEncodedToken()`
    `String` | `getName()`
    `byte[]` | `getToken()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `equals, hashCode, toString`

- - ### Constructor Detail

    - #### SpnegoUserPrincipal

          public SpnegoUserPrincipal(String name,
                             String encodedToken)

    - #### SpnegoUserPrincipal

          public SpnegoUserPrincipal(String name,
                             byte[] token)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Principal`

    - #### getToken

          public byte[] getToken()

    - #### getEncodedToken

          public String getEncodedToken()

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.